## Établissement d'un tunnel VPN entre les machines ap32-mon, ap32-prod et ap32-test :
---
* Création d'un playbook wg.yml qui se chargera d'installer Wireguard et ses outils sur les trois machines, puis qui exécute un    script modifié pour générer les clés et les fichiers de configuration.
* Il suffit d'éxécuté le playbook wg.yml et le tunnel entre ap32-mon ap32-test et ap32-prod estfonctionnel, la centralisation des logs va se faire via le tunnel Wireguard en modifiant le fichier de configuration dans /etc/systemd/journal-upload.conf, dans ce fichier il faut modifier l'Ip qui redirigent les logs et mettre les Ips des interfaces du Vpn (dans le réseau 10.0.0.0/32).

## Preuve de fonctionnement du VPN :
---
# Serveur VPN
````
ap32-mon :

debian@ap32-mon:~$ sudo wg   
public key: 8Mo+pfjCRP+HqE2MM5b9jHudBcTdPktd7pOCvfdk8Qs=
  private key: (hidden)
  listening port: 51820

peer: hjWFTzNbAMfNlETuO2qkdNOZnRQ24hkxN/1onfMJ2TA=
  endpoint: 172.16.0.111:51820
  allowed ips: 10.0.0.2/32
  latest handshake: 2 seconds ago
  transfer: 123.32 KiB received, 37.34 KiB sent

peer: aVqH5DwDiGQFXqbVbBFVF8HTcd/pIGHXnEOjBSPbklY=
  endpoint: 172.16.0.110:51820
  allowed ips: (none)
  latest handshake: 21 seconds ago
  transfer: 1.23 KiB received, 1.41 KiB sent

peer: uyamrEFfja1bJh1StqsKk+tRSElIThWlqTO6MlOYGho=
  endpoint: 10.121.38.35:57017
  allowed ips: 10.0.0.3/32
  latest handshake: 14 minutes, 8 seconds ago
  transfer: 468 B received, 348 B sent


````

# Client VPN
````
ap32-prod : 

debian@ap32-prod:~$ sudo wg interface: 
wg0 public key: D9gW/xerdYKkFydU1SJ72+MBDEJLHX1S7K9LjIo040A=
private key: (hidden)
listening port: 51820


peer: LEkM9UVt21zq7PS8sX+SBihuXr5k9bjAbwSN0dChmAk= 
endpoint: 172.16.0.112:51820 
allowed ips: 10.0.0.1/32 

debian@ap32-mon:~$ ip a:
10: wg0:
inet 10.0.0.3/32 scope global wg0
````
# Vérification du fonctionnement du VPN pour la redirection des logs :

* On lance une commande logger avec un message lorsque le service Wireguard est fonctionnel, celui-ci apparaît sur ap32-mon 
: Nov 15 08:20:06 ap32-prod debian[597]: test vpn
* Cependant, lorsqu'on coupe le service sur ap32-prod et qu'on essaie de réutiliser logger, rien n'arrive sur ap32-mon. Plus rien n'apparaît avant que l'on reactive le VPN.
* Une fois que le service Wireguard est relancé sur ap32-prod, les messages précédents qui n'étaient pas apparus reviennent. Les logs passent bien par le tunnel VPN.
